Skip to main content
Back to API List Retrieves the current ML training status for a bot.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/ml/train/status?language={{lang}}&state={{state}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Train ML; Admin Console: Test and Train > Train ML

Path Parameters

ParameterRequired/OptionalDescription
hostRequiredThe environment URL. For example, https://platform.kore.ai
BotIDRequiredBot ID or Stream ID. Accessible under General Settings on the App Builder.
languageOptionalBot language identified by its acronym (for example, en for English, de for German). The user can set the default language of the bot.
stateOptionalBot state: configured for the in-development version, published for the published version. Defaults to configured.

Sample Request

curl -X GET \
  https://{{host}}/api/public/bot/{{BotId}}/ml/train/status \
  -H 'Content-Type: application/json' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \

Body Parameters

No body parameters are passed.

Sample Response

Successful training:
{
    "trainingStatus": "Finished",
    "isMlInSyncWithSentences": true,
    "isMlInSyncWithSynonyms": true,
    "isMlInSyncWithMlparams": true,
    "isMlInSyncWithTraits": true,
    "isMlInSyncWithSmallTalk": true,
    "isMlInSyncWithUBTraining": true,
    "isMlInSyncWithEntityNode": true,
    "isMlInSyncWithIntentNode": true,
    "isMlInSyncWithPatterns": true,
    "isMlInSyncWithBTUtterances": true,
    "trainDetails": {
        "nlpVersion": 3,
        "trainVersion": 3
    }
}
Training in progress:
{
    "trainingStatus": "Inprogress",
    "isMlInSyncWithSentences": true,
    "isMlInSyncWithSynonyms": true,
    "isMlInSyncWithMlparams": true,
    "isMlInSyncWithTraits": true,
    "isMlInSyncWithSmallTalk": true,
    "isMlInSyncWithUBTraining": true
}
Failed training:
{
    "trainingStatus": "Failed",
    "isMlInSyncWithSentences": true,
    "isMlInSyncWithSynonyms": true,
    "isMlInSyncWithMlparams": true,
    "isMlInSyncWithTraits": true,
    "isMlInSyncWithSmallTalk": true,
    "isMlInSyncWithUBTraining": true
}